import { axios } from '@/utils/request'

//  业务员列表  分页
export const employeeList = (params) => {
  const url = `/employee/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
export const employeeAllList = (params) => {
  const url = `/employee/queryList`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 新增/编辑业务员
export const employeeSave = params => {
  return axios({
    url: '/employee/save',
    data: params,
    method: 'post'
  })
}

// 审核
export const employeeAudit = params => {
  return axios({
    url: `/employee/audit/${params.id}`,
    data: {},
    method: 'get'
  })
}

// 业务员详情
export const employeeDetail = params => {
  return axios({
    url: `/employee/queryById/${params.id}`,
    data: {},
    method: 'get'
  })
}
